{% import "macro/form.twig" as form %}
<div class="container-fluid form-group">
	<h2>Add {{qpcat}} Questions</h2>
	<hr>
	<form id="upload" action="upload.php" method="POST" name="book" enctype="multipart/form-data">
		<fieldset>
			{{form.select("Course","subject",courses,'')}}
			{{form.selectn("Question Paper Type","type",qptype,'')}}
			{{form.input("Question Paper Title","name",qp.name,"text","[a-zA-Z._ 0-9]{1,50}",true)}}
      {{form.input("Time Duration (in minutes)","duration","","number")}}
      <span class='fr' style='color:red'>Leave blank if you do not want to set duration</span>
			{{form.hidden("action","add-qp-img")}}
      {{form.hidden("category",qpcat)}}
			<div class="page-upload" id="filedrag" {% if book.name != '' %} style="display:none" {% endif %}>
				<legend>Upload papers in image format</legend>
				<div>
					<label for="fileselect">Files to upload:</label>
					<input type="file" id="fileselect" name="fileselect[]" multiple="multiple"/>
				</div>
			</div>

			<div id="submitbutton">
				<button type="submit">Upload Files</button>
			</div>

		</fieldset>

	</form>
	<div id="progress"></div>

	<div id="messages"></div>
	<script src="/js/filedrag.js"></script>

</div>
